PaymentTransaction

Query MT/MX message

GET
/openapi/v1/payments/message/mtmx

Query the raw MT/MX SWIFT message associated with a transfer. Use it for compliance audits and troubleshooting.

For examples of messageContent in each scenario, see the Payment product guide.

Authorization

bearerAuth
headerAuthorizationBearer <token>

The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.

Query Parameters

paymentReference*string

Payment reference number from the transfer result. Length 20

direction*string

Payment direction. Length 10

Value in"INCOMING""OUTGOING"

Header Parameters

X-Channel-Provider*string

Provider identifier, such as GLDB

Response Body

Returns the raw message.

application/json
  1. response
code?integer

Business status code

message?string
traceId?string

Request trace ID. Provide it when you contact technical support

data?

Base fields of business data. The data object of every business response contains these fields (except fee estimation).

Example Request
curl -X GET 'https://api.test.stabofx.com/openapi/v1/payments/message/mtmx?paymentReference=SGL24241GG0LJHCB&direction=INCOMING' \  -H 'X-Channel-Provider: GLDB'
Example Response
{  "code": 200,  "message": "OK",  "traceId": "a1b2c3d4-e5f6-7890",  "data": {    "providerStatusCode": "000000",    "providerMessage": "ok",    "providerRequestSerialNo": "795883203712778240",    "providerResponseSerialNo": "785957885476737024",    "providerTimestamp": "2023-05-17 21:03:48",    "messageContent": "{1:F01EXMPSGS0AXXX...}",    "transactionDateTime": "20241015085928261"  }}